#include <AppKit/AppKit.h>
#include "MyView.h"

@interface AppController : NSObject
{
  NSBrowser *browser;
}
@end

@implementation AppController

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
  NSWindow *win;
  MyView *mv;
  NSRect wf = {{100, 100}, {600, 500}};
  NSRect bf = {{10, 10}, {580, 350}};
  unsigned int style = NSTitledWindowMask | NSClosableWindowMask
    | NSMiniaturizableWindowMask | NSResizableWindowMask;

  win = [[NSWindow alloc] initWithContentRect:wf
			  styleMask:style
			  backing:NSBackingStoreRetained
			  defer:NO];
  [win setReleasedWhenClosed: NO];
  
  
  mv = [[MyView alloc] initWithFrame: bf];
  [[win contentView] addSubview: mv];
  [mv release];

  {
    NSMenu *menu;
    menu = [NSMenu new];
    [menu addItemWithTitle: @"Quit" action: @selector(terminate:)
                             keyEquivalent: @"q"];

    [menu update];

    [NSApp setMainMenu: menu];
  }

  [win makeKeyAndOrderFront:nil];

  win = [[NSWindow alloc] initWithContentRect: NSMakeRect(300, 300, 100, 100)
			  styleMask:style
			  backing:NSBackingStoreRetained
			  defer:NO];
  [win makeKeyAndOrderFront:nil];
  
}
@end

int 
main(int argc, const char *argv[])
{
  id pool = [NSAutoreleasePool new];
  NSApplication *theApp;

  theApp = [NSApplication sharedApplication];
  [theApp setDelegate: [AppController new]];
  [theApp run];
  
  [pool release];
  return 0;
}
